commit:     bb71fb68a8db53044aac74842d387aaf1f94d72d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  7 05:34:27 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Nov  7 05:58:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb71fb68

dev-python/python-lsp-server: Bump to 1.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-lsp-server/Manifest              |  1 +
 .../python-lsp-server-1.9.0.ebuild                 | 94 ++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/dev-python/python-lsp-server/Manifest 
b/dev-python/python-lsp-server/Manifest
index 7e46f075b182..191a3acc5b1e 100644
--- a/dev-python/python-lsp-server/Manifest
+++ b/dev-python/python-lsp-server/Manifest
@@ -1 +1,2 @@
 DIST python-lsp-server-1.8.2.tar.gz 107104 BLAKE2B 
8a525e25f94c97cef23e6e9fad4ef9d7e5e0afaf1efdac9f5b98c84bc634ffaed2c19ebed80113a771a30b777285db166996ae25a3d34963e75909e183e082dc
 SHA512 
4cfed043c69a6a390b27299d1e8e53c9ad0184e72b98503e4b3314b7104841a4f3667988e62dcaa88c54b166a1f8549e5b56a70fa69a33068bda5dc49299d642
+DIST python-lsp-server-1.9.0.tar.gz 111176 BLAKE2B 
8143e7e294e820114d2752ef2a3afe3d0494aab7a3bbc785cf543585531bdb5e7df681f446f2db7d2c05271d06fad94e6850fa0eef244c6ed5d36efeb7606597
 SHA512 
052ee7b9cf042afc64df34592b4daa2fb4113d78fe538a72db0426618f13ce6a453173a343b62fefeefb47ffa5a026ae0e7d029d65a5a1b235f52dd4b44c6067

diff --git a/dev-python/python-lsp-server/python-lsp-server-1.9.0.ebuild 
b/dev-python/python-lsp-server/python-lsp-server-1.9.0.ebuild
new file mode 100644
index 000000000000..a3670dc4e136
--- /dev/null
+++ b/dev-python/python-lsp-server/python-lsp-server-1.9.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python Language Server for the Language Server Protocol"
+HOMEPAGE="
+       https://github.com/python-lsp/python-lsp-server/
+       https://pypi.org/project/python-lsp-server/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="all-plugins"
+
+RDEPEND="
+       dev-python/docstring-to-markdown[${PYTHON_USEDEP}]
+       >=dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+       >=dev-python/python-lsp-jsonrpc-1.1.0[${PYTHON_USEDEP}]
+       dev-python/pluggy[${PYTHON_USEDEP}]
+       all-plugins? (
+               >=dev-python/autopep8-2.0.4[${PYTHON_USEDEP}]
+               >=dev-python/flake8-5.0.0[${PYTHON_USEDEP}]
+               >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+               >=dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
+               >=dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/rope-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/yapf-0.33.0[${PYTHON_USEDEP}]
+               >=dev-python/whatthepatch-1.0.2[${PYTHON_USEDEP}]
+       )
+"
+BDEPEND="
+       test? (
+               >=dev-python/autopep8-1.6.0[${PYTHON_USEDEP}]
+               dev-python/flaky[${PYTHON_USEDEP}]
+               >=dev-python/flake8-5.0.0[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pandas[${PYTHON_USEDEP}]
+               >=dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
+               >=dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
+               >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+               dev-python/QtPy[gui,testlib,${PYTHON_USEDEP}]
+               >=dev-python/rope-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/yapf-0.33.0[${PYTHON_USEDEP}]
+               >=dev-python/whatthepatch-1.0.2[${PYTHON_USEDEP}]
+       )
+"
+
+# Note: xdist breaks some tests
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # remove pytest-cov dep
+       sed -i -e '/addopts =/d' pyproject.toml || die
+       # unpin all the deps
+       sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # broken by presence of pathlib2
+               'test/plugins/test_autoimport.py'
+       )
+       local EPYTEST_IGNORE=(
+               # pydocstyle is archived upstream and broken with py3.12
+               test/plugins/test_pydocstyle_lint.py
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}
+
+pkg_postinst() {
+       optfeature "Automatically format Python code to conform to the PEP 8 
style guide" dev-python/autopep8
+       optfeature "A wrapper around PyFlakes, pep8 & mccabe" dev-python/flake8
+       optfeature "flake8 plugin: McCabe complexity checker" dev-python/mccabe
+       optfeature "Python style guide checker (fka pep8)" 
dev-python/pycodestyle
+       optfeature "Python docstring style checker" dev-python/pydocstyle
+       optfeature "Passive checker for Python programs" dev-python/pyflakes
+       optfeature "Python code static checker" dev-python/pylint
+       optfeature "Python refactoring library" dev-python/rope
+       optfeature "A formatter for Python files" dev-python/yapf
+}

Reply via email to